# Poco::Data::MySQL

# class Connector

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/Connector.h

## Description

Connector instantiates MySQL SessionImpl objects.

## Inheritance

Direct Base Classes: Poco::Data::Connector

All Base Classes: Poco::Data::Connector

## Member Summary

Member Functions: createSession, name, registerConnector, unregisterConnector

Inherited Functions: createSession, name

## Constructors

### Connector

Connector();

Creates the Connector.

## Destructor

### ~Connector

virtual ~Connector();

Destroys the Connector.

## Member Functions

### createSession

virtual Poco::AutoPtr < Poco::Data::SessionImpl > createSession(
const std::string & connectionString,
std::size_t timeout = Poco::Data::SessionImpl::LOGIN_TIMEOUT_DEFAULT
);

Creates a MySQL SessionImpl object and initializes it with the given connectionString.

### name

virtual const std::string & name() const;

Returns the name associated with this connector.

See also: Poco::Data::Connector::name()

### registerConnector

static void registerConnector();

Registers the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory

### unregisterConnector

static void unregisterConnector();

Unregisters the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory

## Variables

### KEY

static std::string KEY;